SystemOrganization addCategory: #'Equipement-TIT'!

Object subclass: #AnalogInput
	instanceVariableNames: 'val val1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 16:54'!
label
	^val1 ifNil:[0].! !

!AnalogInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 16:54'!
label: aByteString 

	^val1:= aByteString.! !

!AnalogInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 16:38'!
pointValue
	^32767 min: (0 max: (val ifNil:[0])).
	! !

!AnalogInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 16:11'!
pointValue: aSmallInteger 

val:= aSmallInteger.
! !

Object subclass: #DigitalInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!DigitalInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 17:16'!
label: aByteString 
! !

!DigitalInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 17:17'!
stateOff
! !

!DigitalInput methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 17:23'!
stateOn
! !

Object subclass: #RFGenerator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGenerator methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 17:15'!
inputPwron: aDigitalInput 
! !

!RFGenerator methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 17:17'!
inputRfon: aDigitalInput 
! !

!RFGenerator methodsFor: 'accessing' stamp: 'KappelCondevaux 4/27/2012 17:20'!
isRunning
^false.! !

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power jackyInput'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 14:36'!
testDefautResultShouldBe0
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 0 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 16:59'!
testLabelJacky
	power:=AnalogInput new.
	power label:'Jacky'.
	self assert: 'Jacky'= power label.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 16:18'!
testValueDownNegative1
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 16:38'!
testValueUpPositive40000
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 15:07'!
testWith15000ResultShouldBe15000
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue.! !

TestCase subclass: #RFGeneratorTest
	instanceVariableNames: 'pwron rfon myGenerator fron'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 17:16'!
setUp 

	pwron := DigitalInput new.
	pwron label: 'PWRON'.
	
	rfon := DigitalInput new.
	rfon label:'RFON'.
	
	myGenerator := RFGenerator new.
	myGenerator
		inputPwron: pwron;
		inputRfon: rfon.
		
		
	
! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 17:20'!
test1erCas
	pwron stateOff.
	rfon stateOff.
	self deny: myGenerator isRunning.! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 17:23'!
test2emeCas
	pwron stateOn.
	rfon stateOff.
	self deny: myGenerator isRunning.! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'KappelCondevaux 4/27/2012 17:24'!
test3emeCas
	pwron stateOff.
	rfon stateOn.
	self deny: myGenerator isRunning.! !
